http://application-cost-profiler.{region}.amazonaws.com/reportDefinition/{reportId}Updates existing report in AWS Application Cost Profiler.
Required. ID of the report to update.
Required. The format to use for the generated report.
Required. The cadence to generate the report.
Required. Description of the report.
Represents the Amazon Simple Storage Service (Amazon S3) location where AWS Application Cost Profiler reports are generated and then written to.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://application-cost-profiler.{region}.amazonaws.com/reportDefinition/{reportId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://application-cost-profiler.{region}.amazonaws.com/reportDefinition/{reportId}Updates existing report in AWS Application Cost Profiler.
Required. ID of the report to update.
Required. The format to use for the generated report.
Required. The cadence to generate the report.
Required. Description of the report.
Represents the Amazon Simple Storage Service (Amazon S3) location where AWS Application Cost Profiler reports are generated and then written to.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://application-cost-profiler.{region}.amazonaws.com/reportDefinition/{reportId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}